package com.ss.android.ugc.aweme.web.jsbridge;

import X.0CB;
import X.0CH;
import X.6Is;
import X.FIu;
import X.KKi;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.fe.base.BaseCommonJavaMethod;
import org.json.JSONObject;

public class GalleryPreviewMethod extends BaseCommonJavaMethod implements 6Is {
    static {
        Covode.recordClassIndex(124445);
    }

    public void handle(JSONObject jSONObject, FIu fIu) {
    }

    public void onStateChanged(0CH r1, 0CB r2) {
        GalleryPreviewMethod.super.onStateChanged(r1, r2);
    }

    public GalleryPreviewMethod() {
    }

    public GalleryPreviewMethod(KKi kKi) {
        super(kKi);
    }
}
